Give numbers in query sort criteria consistent width for non-monospaced fonts

2015-10-31 15:29 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.0   

Description

When working with non-monospaced fonts (varying width of glyphs) the sorting criteria dropdowns are not aligned to the same

vertical line (see screenshot).

This patch adds a span including a class (query_sort_criteria_count) to these numbers and adds a min-width to this element. It does

not change the current look for monospaced fonts.

Associated revisions

Revision 14790 - 2015-11-01 10:06 - Jean-Philippe Lang

Give numbers in query sort criteria consistent width for non-monospaced fonts (#21119).

Patch by Felix Gliesche.

History

#1 - 2015-10-31 15:30 - Felix Gliesche

- File save-query-form-alignment-issue.png added

#2 - 2015-11-01 10:11 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

Committed, thanks.

Files

0001-Give-numbers-in-query-sort-criteria-consistent-width.patch 1.44 KB 2015-10-31 Felix Gliesche

save-query-form-alignment-issue.png 130 KB 2015-10-31 Felix Gliesche
